## r-cran-wikipedir 1.5.0

=== DESCRIPTION ===
Package: WikipediR
Type: Package
Title: A MediaWiki API Wrapper
Version: 1.5.0
Date: 2017-02-04
Author: Oliver Keyes [aut, cre], Brock Tilbert [ctb]
Maintainer: Oliver Keyes <ironholds@gmail.com>
Description: A wrapper for the MediaWiki API, aimed particularly at the
    Wikimedia 'production' wikis, such as Wikipedia. It can be used to retrieve
    page text, information about users or the history of pages, and elements of
    the category tree.
License: MIT + file LICENSE
Imports: httr, jsonlite
Suggests: testthat, knitr, WikidataR, pageviews
BugReports: https://github.com/Ironholds/WikipediR/issues
URL: https://github.com/Ironholds/WikipediR/
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2017-02-05 07:31:29 UTC; ironholds
Repository: CRAN
Date/Publication: 2017-02-05 08:44:55

=== debian/changelog ===
r-cran-wikipedir (1.5.0-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sat, 02 Jun 2018 09:26:38 +0200

r-cran-wikipedir (1.5.0-1) unstable; urgency=medium

  * Initial release (closes: #877514)

 -- Andreas Tille <tille@debian.org>  Mon, 02 Oct 2017 15:28:51 +0200

=== debian/control ===
Source: r-cran-wikipedir
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-httr,
               r-cran-jsonlite
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wikipedir
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wikipedir.git
Homepage: https://cran.r-project.org/package=WikipediR

Package: r-cran-wikipedir
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R MediaWiki API Wrapper
 A wrapper for the MediaWiki API, aimed particularly at the
 Wikimedia 'production' wikis, such as Wikipedia. It can be used to retrieve
 page text, information about users or the history of pages, and elements of
 the category tree.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/WikipediR_([-\d.]*)\.tar\.gz

## r-cran-wikipedir 1.7.1

=== DESCRIPTION ===
Package: WikipediR
Type: Package
Title: A MediaWiki API Wrapper
Version: 1.7.1
Date: 2024-04-05
Author: Os Keyes [aut, cre], Brock Tilbert [ctb], Clemens Schmid [aut]
Maintainer: Os Keyes <ironholds@gmail.com>
Description: A wrapper for the MediaWiki API, aimed particularly at the
    Wikimedia 'production' wikis, such as Wikipedia. It can be used to retrieve
    page text, information about users or the history of pages, and elements of
    the category tree.
License: MIT + file LICENSE
Imports: httr, jsonlite, magrittr
Suggests: testthat, knitr, WikidataR, pageviews
BugReports: https://github.com/Ironholds/WikipediR/issues
URL: https://github.com/Ironholds/WikipediR/
VignetteBuilder: knitr
RoxygenNote: 7.3.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2024-04-05 17:43:38 UTC; ironholds
Repository: CRAN
Date/Publication: 2024-04-05 18:13:00 UTC

=== debian/changelog ===
r-cran-wikipedir (1.7.1-1) unstable; urgency=medium

  * Team upload.
  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Charles Plessy ]
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 04 Sep 2024 08:34:44 +0900

r-cran-wikipedir (1.5.0-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 18 May 2020 09:50:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: r-cran-wikipedir
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Priority: optional
-Build-Depends: debhelper (>= 11~),
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wikipedir
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wikipedir.git
+Homepage: https://cran.r-project.org/package=WikipediR
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-httr,
-               r-cran-jsonlite
-Standards-Version: 4.1.4
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wikipedir
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wikipedir.git
-Homepage: https://cran.r-project.org/package=WikipediR
+               r-cran-jsonlite,
+               r-cran-magrittr
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-wikipedir
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
        r-cran-knitr,
        r-cran-wikidatar
Restrictions: allow-stderr
